summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Kevin Pulo <kev@pulo.com.au>2010-05-13 01:00:23 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 01:00:23 +0200
commit064e0a87ac641068af11484f7de49d42685c6ee4 (patch)
tree17eccde0cf6f21e32dd9382bd1161132ed7a733c
parent31aa3ec3e0153775e449bcdfeaba83b156746c93 (diff)
downloadslackbuilds-064e0a87ac641068af11484f7de49d42685c6ee4.tar.gz
slackbuilds-064e0a87ac641068af11484f7de49d42685c6ee4.tar.xz
network/tinyproxy: Added to 13.0 repository
-rw-r--r--network/tinyproxy/README7
-rw-r--r--network/tinyproxy/doinst.sh17
-rw-r--r--network/tinyproxy/slack-desc19
-rw-r--r--network/tinyproxy/tinyproxy.SlackBuild93
-rw-r--r--network/tinyproxy/tinyproxy.info10
5 files changed, 146 insertions, 0 deletions
diff --git a/network/tinyproxy/README b/network/tinyproxy/README
new file mode 100644
index 0000000000..3b2d1e25ac
--- /dev/null
+++ b/network/tinyproxy/README
@@ -0,0 +1,7 @@
+tinyproxy (lightweight HTTP proxy)
+
+tinyproxy is a lightweight HTTP proxy licensed under the GPL. Designed from
+the ground up to be fast and yet small, it is an ideal solution for sites
+where a full-featured HTTP proxy is required, but the system resources
+required to run a more demanding HTTP proxy are unavailable. tinyproxy is
+fully compatible with all existing web browsers
diff --git a/network/tinyproxy/doinst.sh b/network/tinyproxy/doinst.sh
new file mode 100644
index 0000000000..4eec76f8dc
--- /dev/null
+++ b/network/tinyproxy/doinst.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/tinyproxy.conf.new
+
diff --git a/network/tinyproxy/slack-desc b/network/tinyproxy/slack-desc
new file mode 100644
index 0000000000..470ec2cfd6
--- /dev/null
+++ b/network/tinyproxy/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+tinyproxy: tinyproxy (lightweight HTTP proxy)
+tinyproxy:
+tinyproxy: tinyproxy is a lightweight HTTP proxy licensed under the GPL.
+tinyproxy: Designed from the ground up to be fast and yet small, it is an ideal
+tinyproxy: solution for sites where a full-featured HTTP proxy is required,
+tinyproxy: but the system resources required to run a more demanding HTTP proxy
+tinyproxy: are unavailable.
+tinyproxy: tinyproxy is fully compatible with all existing web browsers
+tinyproxy:
+tinyproxy: Homepage: https://www.banu.com/tinyproxy/
+tinyproxy:
diff --git a/network/tinyproxy/tinyproxy.SlackBuild b/network/tinyproxy/tinyproxy.SlackBuild
new file mode 100644
index 0000000000..a84bbef848
--- /dev/null
+++ b/network/tinyproxy/tinyproxy.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+
+# Slackware build script for tinyproxy
+
+# Written by Kevin Pulo, kev@pulo.com.au
+# Public domain.
+
+PRGNAM=tinyproxy
+VERSION=${VERSION:-1.8.0}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-xtinyproxy \
+ --enable-filter \
+ --enable-upstream \
+ --enable-reverse \
+ --enable-transparent-proxy \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mv $PKG/etc/$PRGNAM.conf $PKG/etc/$PRGNAM.conf.new
+sed -i -e "s,/usr/share,&/$PRGNAM,g" \
+ -e "s,/usr/share/$PRGNAM/$PRGNAM,/usr/share/$PRGNAM,g" \
+ $PKG/etc/tinyproxy.conf.new
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+AUTHORS COPYING ChangeLog NEWS README TODO docs/*.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc -type f -exec chmod 0644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/tinyproxy/tinyproxy.info b/network/tinyproxy/tinyproxy.info
new file mode 100644
index 0000000000..b24abbc26b
--- /dev/null
+++ b/network/tinyproxy/tinyproxy.info
@@ -0,0 +1,10 @@
+PRGNAM="tinyproxy"
+VERSION="1.8.0"
+HOMEPAGE="https://www.banu.com/tinyproxy/"
+DOWNLOAD="https://www.banu.com/pub/tinyproxy/1.8/tinyproxy-1.8.0.tar.bz2"
+DOWNLOAD_x86_64=""
+MD5SUM="52b711d222d7838d6b16aff60377bcac"
+MD5SUM_x86_64=""
+MAINTAINER="Kevin Pulo"
+EMAIL="kev@pulo.com.au"
+APPROVED="dsomero"